@charset "utf-8";
/* CSS Document */
/* ---reset.css--- */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}

html{background:url("../images/side_deco.png") top center repeat-y,url("../images/bg_all.jpg") top center repeat;}
header { position: absolute; top: 0; left: 0; z-index: 1;}


/* PC */
.WRAPPER{ position:relative; width:100%; min-width:1200px; margin:0 auto; overflow:hidden;}
 	@media screen and ( max-width: 991px ){
		.WRAPPER{ min-width:100%;}}
.container { overflow: hidden;}
.topbox { position: relative; width: 1200px; margin: auto;}
.kv_pc {width: 100%;  position: relative; text-align:center; display: flex;justify-content: center;max-width: 1920px; margin: auto;flex-wrap: wrap-reverse;}
.kv_pc img { display: block; text-align: center; }
.kv_m { display: none; }
.kv_m img { display: block; }
.kv_m a {font-size: 0; display: block; }
.for_pc{ display: block; }
.for_m { display: none; }
.banner {padding:0 0 0 0;}



/* m */
@media screen and ( max-width: 991px ){
	.kv_m { display: block; width: 100%; }
	.kv_m img {  width: 100%; }
	.kv_pc { display: none; }
	.container {width: 100%; min-width: auto; }
	.for_pc{ display: none; }
	.for_m { display: block; }

}




/* =================================================== 共同設定 =================================================== */
/* ------------------ Color ------------------ */
.toptitle .font h4 {background:#ff7676;}
.toptitle li {border-radius: 1em;border: 2px solid #ff7676;}
.toptitle .font .price big {color: #ff7676;}


/* ------------------ BG ------------------ */
.bg_1200 {max-width: 1200px; margin:40px auto; padding:20px 0 10px; background: rgba(255, 255, 255, 0.32); border-radius: 2em;}
@media screen and ( max-width: 991px ){
	.bg_1200 {
		width: 100%;
		margin: 5vw auto;
	}
}


/* ------------------ 安全字 ------------------ */
.notice {
	width: 100%;
	margin: 0 auto;
	text-align: center;
	padding: 10px 0;
	font-size: 1rem;
	line-height: 1.2rem;
	font-weight: 300;
	color: #000;
	background: url("../images/bg_2.jpg");
}


/* ------------------ 架構標 ------------------ */
@font-face { font-family: GenJyuuGothic-Heavy; src: url("https://events.eslite.com/font/GenJyuuGothic-Heavy.ttf");}
.titleC.btt {
    background: url("../images/btt.png")top center no-repeat;
    padding: 60px 0 90px;
    position: relative;
    margin: 210px auto -40px;
    z-index: 1;
}

.titleC.btt::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -82%);
    width: 1038px;
    height: 315px;
    background: url("../images/btt_deco.png") center top no-repeat;
    background-size: contain;
    z-index: 0;
    pointer-events: none;
}

.titleC h2 {
	font-family: GenJyuuGothic-Heavy;
	font-size: 4rem;
	color: #49414a;
}

.titleC h3 {
	font-family: GenJyuuGothic-Heavy;
	font-size: 3rem;
}


@media screen and (max-width: 991px) {
	.titleC.btt {
		width: 100%;
		padding: 3vw 0 6vw;
		margin: 8vw auto -5vw;
		background-size: 96vw;
	}

	.titleC.btt::before {
		width: 85vw;
		height: 30vw;
		background-size: contain;
		transform: translate(-50%, -50%);
		top: -6vw;
	}

	.titleC h2 {font-size: 3rem;}
	.titleC h3 {font-size: 2rem;}
	}






/* =================================================== 版頭設定 =================================================== */
/* ------------------  版頭動畫  ------------------ */
.kv_pc {position: relative;}
.kv_items {position: absolute;}
.kv_bg {width: 100%;}

.kv_date {
    top: calc((128 / 1920) * 100%);
    left: calc((453 / 1920) * 100%);
    width: calc((494 / 1920) * 100%);
    animation: swing 5s ease-in-out 2.5s;
	z-index: 1;
}

.kv_title {
    top: calc((382 / 1920) * 100%);
    left: calc((406 / 1920) * 100%);
    width: calc((688 / 1920) * 100%);
    animation: bounceIn 5s ease-in-out .5s;
}

.kv_title_2 {
    top: calc((1245 / 1920) * 100%);
    left: calc((817 / 1920) * 100%);
    width: calc((279 / 1920) * 100%);
    animation: bounceIn 5s ease-in-out 3s;
	animation-delay: 1s;
}

.kv_sale {
    top: calc((1242 / 1920) * 100%);
    left: calc((403 / 1920) * 100%);
    width: calc((692 / 1920) * 100%);
    animation: bounceIn 5s ease-in-out 3s;
	animation-delay: 1.5s;
}


/* ------------------ 笑臉滾過來滾過去 ------------------ */
/* 共同樣式 */
.smiley, .smiley_2 {
    position: fixed;
    width: 81px;
    height: 81px;
    pointer-events: none;
    z-index: 9999; /* 提高層級，確保不會被內容遮住 */
    opacity: 0; 
    display: block;
}

/* 第一張：貼著中間內容 1200px 的左側 */
.smiley {
    top: 35%;
    left: 50%;
    transform: translateX(-680px); /* 50%往左移 600px 再扣掉寬度 */
    background: url("../images/smiley.png") no-repeat center/contain;
}

/* 第二張：貼著中間內容 1200px 的右側 */
.smiley_2 {
    top: 55%;
    left: 50%;
    transform: translateX(600px); /* 50%往右移 600px */
    background: url("../images/smiley_2.png") no-repeat center/contain;
}

/* 當螢幕不夠寬時隱藏 */
@media (max-width: 1350px) {
    .smiley, .smiley_2 { display: none; }
}




/* ------------------  攻略  ------------------ */
.block_00 {background: url("../images/bg_2.jpg"); padding:0 60px; border-radius:0 0 50% 50%;}
.block_00 .titleC.btt {margin: 255px auto -40px;}
.block_00 ul {
    width: 1200px;
    padding: 0 0 0 0;
    margin: 20px auto;
    display: flex;
    flex-wrap: wrap;
    gap: 10px 0;
    justify-content: space-evenly;
}

.a1 {animation: bounceInUp; animation-delay: 0s;}
.a2 {animation: bounceInUp; animation-delay:.5s;}
.a3 {animation: bounceInUp; animation-delay: 1s;}
.a4 {animation: bounceInUp; animation-delay: 1.5s;}



@media screen and ( max-width: 991px ){
	.block_00 {border-radius: 0 0 ;padding: 2vw 0;}
	.block_00 .titleC.btt {margin: 15vw auto -5vw;}
	.block_00 ul {
		width: 100%;
		display: flex;
		flex-wrap: wrap;
		padding: 0 0 0 0;
		margin: 5vw auto 2vw;
		justify-content: center;
		gap: 0;
	}
	
	.block_00 ul li {margin: 1vw;}
	.block_00 img {display: block; width: 46vw;}
	.block_00 img.info {width: 98vw;}
}








/* =================================================== 統一設定 =================================================== */
/* ------------------ 錨點微調 ------------------ */
.target-fix {position: relative;top: 0px;display: block;height: 0;overflow: hidden;}

@media screen and (max-width: 991px) {
	.target-fix {
		top: -50px;
	}
}


/* ------------------  前往ＯＯＯ館的按鈕 ------------------ */
.btn_box ul {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	max-width: 800px;
	margin: auto;
  }
  
  .btn-go {
	width: 350px;
	border-radius: 40px;
	margin: 10px auto;
	transition: all 0.3s;
	background:#ff7676;
  }
  .btn-go a h3 {
	color: #fff;
	font-family:'Noto Sans TC', "微軟正黑體","Microsoft JhengHei",Helvetica,Verdana, Arial;
	font-size: 2rem;
	padding: 15px 10px;
  }
  .btn-go:hover {
	transform: scale(0.98);
  }



/* ------------------ menu ------------------ */
@media only screen and (min-width: 992px) {
	.menustyle2 {
		width: 160px;
		display: flex;
		flex-wrap: wrap;
		background:  #ff7676;
		z-index: 999;
		height: auto;
		position: fixed;
		top: 200px;
		right: 10px;
		border-radius: 10px;
		height: auto;
		padding-top: 10px;
		padding-bottom: 10px;
	}

	.menustyle2 ul {
		width: 160px;
		margin: 0 auto;
		display: flex;
		flex-direction: column;
		padding: 5px;
		flex-wrap: wrap;
	}

	.menustyle2 ul li {
		width: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		border-bottom: 1px dotted #fff;
	}

	.menustyle2 ul li a span {
		display: block;
	}

	.menustyle2 ul li:last-child {
		border-bottom: none;
	}

	.menustyle2 ul li a {
		text-align: center;
		margin: 0 auto;
		text-decoration: none;
		font-size: 17px;
		color: #fff;
		font-family: GenJyuuGothic-Heavy;
		letter-spacing: 1px;
		font-weight: 500;
		width: 100%;
		height: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		padding: 11px 0px;
		flex-wrap: wrap;
		line-height: 1.2;
	}

	.menustyle2 ul li:hover,
	#TopMenu2 ul li a:hover {
		background: #ffde00;
		transform: scale(1);
		color: #49414a !important;
	}

	.menustyle2 ul .active {
		color: #49414a !important;
		background: #ffde00;
		width: 100%;
		height: 100%;
	}
}

@media screen and (max-width: 991px) {
	.menustyle2::-webkit-scrollbar {
		display: none;
	}

	.menustyle2 {
		width: 100%;
		z-index: 998;
		padding: 1vw 1vw;
		display: block;
		background: #ff7676;
		flex-direction: column;
		flex-wrap: wrap;
		position: absolute;
		overflow-x: auto;
		justify-content: center;
		white-space: nowrap;
		-webkit-overflow-scrolling: touch;
		-ms-overflow-style: -ms-autohiding-scrollbar;
		height: auto;
	}

	.menustyle2 ul {
		flex-wrap: nowrap;
		display: flex;
		gap: .5em;
		padding: 1vw 0;
	}

	.menustyle2 ul li {
		width: auto;
		font-size: 20px;
		color:#ff7676;
		display: flex;
		justify-content: center;
		align-items: center;
		box-sizing: border-box;
	}

	.menustyle2 ul li a {
		font-size: 1.1rem;
		letter-spacing: 0px;
		font-weight: 500;
		color: #ff7676;
		font-family: GenJyuuGothic-Heavy;
		box-sizing: border-box;
		padding: 1.7vw 3.5vw;
		border-radius: 100px;
		background: #fff;
	}
	
	.menustyle2 ul .active {
		color: #49414a!important;
		background: #ffde00;
		width: 100%;
		justify-content: center;
		align-items: center;
		text-align: center
	}

	.menustyle2 ul li a:hover {
		color: #49414a!important;
		width: 100%;
		justify-content: center;
		align-items: center;
		text-align: center;
		background:#ffde00;
	}

	.sticky {
		position: fixed;
		top: 0;
	}
}

/* ------------------ 下拉選單 ------------------ */
	#TopMenu {transition: background-color 1s, opacity 1s, visibility 1s;opacity: 1;visibility:visible;z-index: 998;position: relative;}
	#TopMenu.show{opacity: 1;visibility: visible;position: fixed;top: 0;} 


/* ------------------ 手機版選單下滑出現 ------------------ */
	@media screen and (max-width: 991px) {
	  #TopMenu2 {
		transition: background-color 1s, opacity 1s, visibility 1s;
		opacity: 0;
		visibility: hidden;
		z-index: 999;
		position: absolute;
		top: 0;
	  }
	  #TopMenu2.show {
		opacity: 1;
		visibility: visible;
		position: fixed;
		top: 0;
	  }
	}


/* ------------------ goto top--(哆重製版) ------------------ */
#gotop {
	display: inline-block;
	background-color: #000;
	width: 40px;
	height: 40px;
	text-align: center;
	border-radius: 50%;
	background-size: contain;
	position: fixed;
	bottom: 0px;
	right: 0px;
	transition: background-color .3s, opacity .5s, visibility .5s;
	display: flex;
	justify-content: center;
	align-items: center;
	opacity: 0;
	visibility: hidden;
	z-index: 1000;
	margin: 30px;
}

#gotop::after {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: FontAwesome;
    content: '　';
    font-weight: normal;
    font-style: normal;
    font-size: 1em;
    line-height: 100%;
    color: #fff;
    opacity: 0.5;
    background: url("../images/top.png") center no-repeat;
    background-size: contain;
    background-position: 100% 100%;
}

#gotop:hover {
	cursor: pointer;
	background-color: #666;
}

#gotop:active {
	background-color: #ccc;
}

#gotop.show {
	opacity: 0.4;
	visibility: visible;
}

@media screen and (max-width: 991px) {
	#gotop {
		bottom: 70px;
		right: 0;
		margin: 2vw;
	}
}


/* ------------------ share url (哆重製版) ------------------ */
#share {
	display: inline-block;
	background-color: #000;
	opacity: 0.4;
	width: 40px;
	height: 40px;
	text-align: center;
	border-radius: 50%;
	position: fixed;
	bottom: 50px;
	right: 0px;
	transition: background-color .3s, opacity .5s, visibility .5s;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 1000;
	margin: 30px;
}

#share::after {
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	font-family: FontAwesome;
	content: '　';
	font-weight: normal;
	font-style: normal;
	font-size: 1em;
	color: #fff;
	opacity: 0.5;
	background: url("../images/share.png") center no-repeat;
	background-size: contain;
}

#share:hover {cursor: pointer;background-color: #666;}
#share:active {background-color: #666;}


@media screen and (max-width: 991px) {
	#share {
		bottom: 115px;
		right: 0;
		margin: 2vw;
	}
}

@media screen and (max-width: 991px) {
	html {padding-bottom: 80px;}
}